commit 06b43f1b7f7319445d4a71b9a60e3f2f144cf7a2
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sat Jan 13 15:24:12 2024 +0000

    Lookups: log warning for deprecated syntax.  Bug 3068

diff --git a/src/src/lookups/lf_sqlperform.c b/src/src/lookups/lf_sqlperform.c
index ecb0a3221..d5bb8d297 100644
--- a/src/src/lookups/lf_sqlperform.c
+++ b/src/src/lookups/lf_sqlperform.c
@@ -2,7 +2,7 @@
 *     Exim - an Internet mail transport agent    *
 *************************************************/
 
-/* Copyright (c) The Exim Maintainers 2020 - 2022 */
+/* Copyright (c) The Exim Maintainers 2020 - 2024 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
 /* SPDX-License-Identifier: GPL-2.0-or-later */
@@ -56,6 +56,8 @@ if (Ustrncmp(query, "servers", 7) == 0)
   const uschar *qserverlist;
   uschar *qserver;
 
+  log_write(0, LOG_MAIN|LOG_CONFIG_IN, "WARNING: obslete syntax used for lookup\n");
+
   s = query + 7;
   skip_whitespace(&s);
   if (*s++ != '=')

